#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh  - hddtemp installation
#
# Creation:     2005-11-30 Stephan Sanders
# Last Update:  2023-11-05 Marcus Roeckrath
#
# Copyright (c) 2005-2013 Stephan Sanders
#               2019-2023 Marcus Roeckrath, marcus.roeckrath(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Include eislib
# ----------------------------------------------------------------------------
. /var/install/include/eislib

# ----------------------------------------------------------------------------
# Set package name
# ----------------------------------------------------------------------------
package=hddtemp

# ----------------------------------------------------------------------------
# Add menu
# ----------------------------------------------------------------------------
/var/install/bin/add-menu setup.services.menu setup.services.${package}.menu "${package}"

# ----------------------------------------------------------------------------
# Create default config or update current config
# ----------------------------------------------------------------------------
if [ -f /etc/config.d/${package} ]
then
    update=true
fi

/usr/sbin/service daemon-reload

/var/install/config.d/${package}-update.sh

if ${update:-false}
then
    /var/install/config.d/${package}.sh
fi

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
